NI-DAQ™mx C Reference Help

July 2016 Edition, Part Number 370471AG-01

This help file describes the NI-DAQmx Library functions, which you can use with National Instruments data acquisition and switch devices to develop instrumentation, acquisition, and control applications.

To navigate this help file, use the Contents, Index, and Search tabs to the left of this window.

For more information about this help file, refer to the following topics:

Conventions—formatting and typographical conventions in this help file

Related Documentation

Glossary

Important Information

Technical Support and Professional Services

To comment on National Instruments documentation, refer to the National Instruments Web site.

© 2003–2016 National Instruments. All rights reserved.


Troubleshooting

You can use NI I/O Trace to analyze the functions you have called in the API with NI application software. With NI I/O Trace, you can watch the order of execution of the application and locate errors as they happen.


Related Documentation

The following documents contain information that you might find helpful as you use this help file:

  • DAQ Getting Started Guide
  • Measurement & Automation Explorer Help for NI-DAQmx
  • SCXI Quick Start Guide
  • Your device documentation

The following web locations contain information that you might find helpful as you use this help file:

  • Go to ni.com/support/daqmx
  • Go to ni.com/support and enter your device name for information and resources specific to your device.
  • Go to NI-DAQmx for Windows Documentation for a complete listing of the NI-DAQmx documents and their locations.


Using Help

Conventions

Navigating Help

Searching Help

Printing Help File Topics


Conventions

This help file uses the following conventions:

» | The » symbol leads you through nested menu items and dialog box options to a final action. The sequence File»Page Setup»Options directs you to pull down the File menu, select the Page Setup item, and select Options from the last dialog box.
 | This icon denotes a note, which alerts you to important information.
 | This icon denotes a caution, which advises you of precautions to take to avoid injury, data loss, or a system crash.
bold | Bold text denotes items that you must select or click on in the software, such as menu items and dialog box options. Bold text also denotes parameter names, emphasis, or an introduction to a key concept.
green | Underlined text in this color denotes a link to a help topic, help file, or Web address.
italic | Italic text denotes variables or cross references. This font also denotes text that is a placeholder for a word or value that you must supply.
monospace | Text in this font denotes text or characters that you should enter from the keyboard, sections of code, programming examples, and syntax examples. This font is also used for the proper names of disk drives, paths, directories, programs, subprograms, subroutines, device names, functions, operations, variables, filenames, and extensions.
monospace bold | Bold text in this font denotes the messages and responses that the computer automatically prints to the screen. This font also emphasizes lines of code that are different from the other examples.
monospace italic | Italic text in this font denotes text that is a placeholder for a word or value that you must supply.


Navigating Help (Windows Only)

To navigate this help file, use the Contents, Index, and Search tabs to the left of this window or use the following toolbar buttons located above the tabs:

  • Hide—Hides the navigation pane from view.
  • Back—Displays the previously viewed topic.
  • Options—Displays a list of commands and viewing options for the help file.


Searching Help (Windows Only)

Use the Search tab to the left of this window to locate content in this help file. If you want to search for words in a certain order, such as "related documentation," add quotation marks around the search words as shown in the example. Searching for terms on the Search tab allows you to quickly locate specific information and information in topics that are not included on the Contents tab.

Wildcards

You also can search using asterisk (*) or question mark (?) wildcards. Use the asterisk wildcard to return topics that contain a certain string. For example, a search for "prog*" lists topics that contain the words "program," "programmatically," "progress," and so on.

Use the question mark wildcard as a substitute for a single character in a search term. For example, "?ext" lists topics that contain the words "next," "text," and so on.

Nested Expressions

Use nested expressions to combine searches to further refine a search. You can use Boolean expressions and wildcards in a nested expression. For example, "example AND (program OR VI)" lists topics that contain "example program" or "example VI." You cannot nest expressions more than five levels.

Boolean Expressions

Click the [image] button to add Boolean expressions to a search. The following Boolean operators are available:

  • AND (default)—Returns topics that contain both search terms. You do not need to specify this operator unless you are using nested expressions.
  • OR—Returns topics that contain either the first or second term.
  • NOT—Returns topics that contain the first term without the second term.
  • NEAR—Returns topics that contain both terms within eight words of each other.

Search Options

Use the following checkboxes on the Search tab to customize a search:

  • Search previous results—Narrows the results from a search that returned too many topics. You must remove the checkmark from this checkbox to search all topics.
  • Match similar words—Broadens a search to return topics that contain words similar to the search terms. For example, a search for "program" lists topics that include the words "programs," "programming," and so on.
  • Search titles only—Searches only in the titles of topics.


Printing Help File Topics (Windows Only)

Complete the following steps to print an entire book from the Contents tab:

  1. Right-click the book.
  2. Select Print from the shortcut menu to display the Print Topics dialog box.
  3. Select the Print the selected heading and all subtopics option.
    Note Select Print the selected topic if you want to print the single topic you have selected in the Contents tab.
  4. Click the OK button.

Printing PDF Documents

This help file may contain links to PDF documents. To print PDF documents, click the print button located on the Adobe Acrobat Viewer toolbar.


NI-DAQmx Concepts

For more information on important NI-DAQmx concepts, including measurement fundamentals and device considerations, refer to the NI-DAQmx Help.


Glossary

Prefixes

Prefix | Meaning | Value
n | nano | 10-9
µ | micro | 10-6
m | milli | 10-3
k | kilo | 103
M | mega | 106

Numbers/Symbols

Symbols | Meaning
% | percent
+ | positive of, or plus
– | negative of, or minus
Ω | ohm
º | degree

A
ADC | Analog-to-digital converter—an electronic device, often an integrated circuit, that converts an analog signal to a digital value.
ADE | Application development environment—some examples include LabVIEW and LabWindows/CVI.
AI | Analog input—acquisition of data.
amplification | A type of signal conditioning that improves accuracy in the resulting digitized signal by increasing signal amplitude relative to noise.
analog | Data represented by continuously variable physical quantities.
AO | Analog output—generation of data.
API | Application programming interface—A library of functions, classes or VIs, attributes, and properties for creating applications for your device.
asynchronous
  1. Hardware—A signal that occurs or is acted upon at an arbitrary time, without synchronization to another signal, such as a reference clock.
  2. Software—A function that begins an operation and returns prior to the completion or termination of the operation.
attenuation | The reduction of a voltage or acoustical pressure. Measured referenced to the original voltage.

B
bandwidth | The range of frequencies present in a signal, or the range of frequencies to which a measuring device can respond.
bipolar | A signal range that includes both positive and negative values (for example, –5 V to +5 V).
bit | The smallest unit of data used in a digital operation. Bits are binary, so they can be either a 1 or a 0.
buffer | In software, temporary storage for acquired or to-be-generated samples.

C
CH | Channel.
channel
  1. Physical—a terminal or pin at which you can measure or generate an analog or digital signal. A single physical channel can include more than one terminal, as in the case of a differential analog input channel or a digital port of eight lines. The name used for a counter physical channel is an exception because that physical channel name is not the name of the terminal where the counter measures or generates the digital signal.
  2. Virtual—a collection of property settings that can include a name, a physical channel, input terminal connections, the type of measurement or generation, and scaling information. You can define NI-DAQmx virtual channels outside a task (global) or inside a task (local). Configuring virtual channels is optional in Traditional NI-DAQ and earlier versions, but is integral to every measurement you take in NI-DAQmx. In Traditional NI-DAQ, you configure virtual channels in MAX. In NI-DAQmx, you can configure virtual channels either in MAX or in a program, and you can configure channels as part of a task or separately.
  3. Switch—a switch channel represents any connection point on a switch. It may be made up of one or more signal wires (commonly one, two, or four), depending on the switch topology. A virtual channel cannot be created with a switch channel. Switch channels may be used only in the NI-DAQmx Switch functions and VIs.
clock | A periodic digital signal.
CMRR | Common-mode rejection ratio—a measure of the ability of an instrument to reject interference from a common-mode signal, usually expressed in decibels (dB).
code width | The smallest detectable change in an input voltage of a DAQ device.
cold-junction compensation | A method of compensating for inaccuracies in thermocouple circuits.
counter/timer | A circuit that counts digital edges. Counters and timers usually have from 16 bits to 48 bits (sometimes more) counting capability. The total number of counts possible equals 2N, where N is the number of bits in the counter. When the edges counted are produced by a clock, elapsed time can be computed from the number of edges counted if the clock frequency is known.
custom scale | A method of instructing NI-DAQmx to apply additional scaling to your data. Refer to the Create Scale function in your reference help.

D
DAC | Digital-to-analog converter—an electronic device, often an integrated circuit, that converts a digital number into a corresponding analog voltage or current.
DAQ | Refer to data acquisition.
DAQ Assistant | A graphical interface for configuring measurement tasks, channels, and scales.
DAQ device | A device that acquires or generates data and can contain multiple channels and conversion devices. DAQ devices include plug-in devices, PCMCIA cards, and DAQPad devices, which connect to a computer USB or 1394 (FireWire) port. SCXI modules are considered DAQ devices.
data | Samples.
data acquisition
  1. Acquiring and measuring analog or digital electrical signals from sensors, acquisition transducers, and test probes or fixtures.
  2. Generating analog or digital electrical signals.
dB | Decibel—the unit for expressing a logarithmic measure of the ratio of two signal levels: dB=20log10 V1/V2, for signals in volts.
DC | Direct current.
delay from sample | The amount of time to wait after receiving a sample clock edge before beginning the acquisition of a sample.
delay from start | The amount of time to wait after receiving a start trigger before beginning the operation.
device
  1. An instrument or controller you can access as a single entity that controls or monitors real-world I/O points. A device often is connected to a host computer through some type of communication network.
  2. See also DAQ device and measurement device.
digital | A TTL signal. Refer to edge.
DIO | Digital input/output.
DMA | Direct Memory Access—A method of transferring data between a buffer and a device that is used most often for high-speed operations.
driver | Software unique to the device or type of device, and includes the set of commands the device accepts.

E
E Series | A standard architecture for instrumentation-class, multichannel data acquisition devices.
edge | A digital edge is a single rising or falling TTL transition. An analog edge is defined by the slope, level, and hysteresis settings.
event | A digital signal produced from a device or circuit.
excitation | Supplying a voltage or current source to energize an active sensor or circuit.

F
fall time | The time for a signal to transition from 90% to 10% of the maximum signal amplitude.
filtering | A type of signal conditioning that you can use to remove unwanted frequency components from the signal you are measuring.
FIFO | A type of memory that implements a First In First Out strategy in which samples are removed in the order they were written. FIFOs are typically used as intermediate buffers between an ADC or DAC and the memory buffer.
floating signal sources | Signal sources with voltage signals that are not connected to an absolute reference or system ground.

G
gain | The factor by which a signal is amplified, often expressed in dB. Gain as a function of frequency is commonly referred to as the magnitude of the frequency response function.
grounded signal sources | Signal sources with voltage signals that are referenced to a system ground, such as the earth or a building ground. Grounded signal sources are also called referenced signal sources.

H
hardware triggering | A form of triggering in which the source of the trigger is an analog or digital signal. Refer to Software Triggering.
hysteresis | A window around a trigger level that is often used to reduce false triggering due to noise or jitter in the signal.
Hz | Hertz—cycles per second of a periodic signal.

I
instrument driver | Refer to driver.
interrupts | A method whereby a device notifies the computer of some condition on the device that requires the computer's attention. When this condition is a request for data or a notification of available data, interrupts are used as a data transfer mechanism.
I/O | Input/output—the transfer of data to/from a computer system involving communications channels, operator interface devices, and/or data acquisition and control interfaces.
isolation | A type of signal conditioning in which you isolate the transducer signals from the computer. Isolation makes sure the measurements from the measurement device are not affected by differences in ground potentials.

L
LED | Light-emitting diode—a semiconductor light source.
line | An individual signal in a digital port. The difference between a bit and a line is that the bit refers to the actual data transferred, and the line refers to the hardware the bit is transferred on. However, the terms line and bit are fairly interchangeable. For example, an 8-bit port is the same as a port with eight lines.
linearization | A type of signal conditioning in which software linearizes the voltage levels from transducers, so the voltages can be scaled to measure physical phenomena.
LSB | Least significant bit—often used to refer to the smallest voltage change detectable by an A/D converter or the smallest voltage change that can be generated by a D/A converter.

M
Measurement & Automation Explorer (MAX) | A centralized configuration environment that allows you to configure all of your National Instruments devices.
measurement device | DAQ devices such as the E Series multifunction I/O (MIO) devices, SCXI signal conditioning modules, and switch modules.
memory buffer | Refer to buffer.
memory mapping | A technique for reading and writing to a device directly from your program, which avoids the overhead of delegating the reads and writes to kernel-level software. Delegation to the kernel is safer, but slower. Memory mapping is less safe because an entire 4 KB page of memory must be exposed to your program for this to work, but it is faster.
MIO | Multifunction I/O—Designates a family of data acquisition devices that have multiple analog input channels, digital I/O channels, timing, and optionally, analog output channels. An MIO product can be considered a miniature mixed signal tester, due to its broad range of signal types and flexibility. It is also known as multifunction DAQ. An E Series device is an example of an MIO device.
module | A board assembly and its associated mechanical parts, front panel, optional shields, and so on. A module contains everything required to occupy one or more slots in a mainframe. SCXI and PXI devices are modules.
multiplexer | A switching device with multiple terminals that sequentially connects each of its terminals to a single terminal, typically at high speeds. Often used to measure several signals with a single analog input channel.

N
NI-DAQ | Driver software included with all NI measurement devices. NI-DAQ is an extensive library of functions you can call from an application development environment (ADE), such as LabVIEW, to program all the features of an NI measurement device, such as configuring, acquiring and generating data from, and sending data to the device.
NI-DAQmx | The latest NI-DAQ driver with new functions and development tools for controlling measurement devices. The advantages of NI-DAQmx over earlier versions of NI-DAQ include the DAQ Assistant for configuring channels and measurement tasks for your device for use in LabVIEW, LabWindows/CVI, and Measurement Studio; increased performance such as faster single-point analog I/O; and a simpler API for creating DAQ applications using fewer functions than earlier versions of NI-DAQ.
nonlinearity | A measure in percentage of full-scale range (FSR) of the worst-case deviation from the ideal transfer function—a straight line.
This specification is included only for DAQ products, such as signal conditioning products, that do not have an ADC. Because a product with this specification can also be used with a DAQ product with an ADC, this nonlinearity specification must be added to the relative accuracy specification of the DAQ product with the ADC.
NRSE | Nonreferenced single-ended mode—all measurements are made with respect to a common (NRSE) measurement system reference, but the voltage at this reference can vary with respect to the measurement system ground.

O
onboard | Provided by the data acquisition device.
onboard channels | Channels provided by the plug-in data acquisition device.
onboard clock | The default source for a particular clock. Usually, the device has dedicated a circuit for producing this signal and its only purpose is to act as the source for a certain clock.
onboard memory | Memory provided by a device for temporary storage of input or output data. Typically, onboard memory is a FIFO, which is distinct from computer memory.

P
parallel mode | A type of SCXI operating mode in which the module sends each of its input channels directly to a separate analog input channel of the device connected to the module.
pattern I/O | Pattern input and output—a digital I/O operation on which a clock signal initiates a digital transfer. Because the clock signal is a constant frequency, you can generate and receive patterns at a constant rate.
PCI | Peripheral Component Interconnect—a high-performance expansion bus architecture originally developed by Intel to replace ISA and EISA. PCI has achieved widespread acceptance as a standard for PCs and work stations, and it offers a theoretical maximum transfer rate of 132 Mbytes/s.
PFI | Programmable Function Interface—general purpose input terminals, fixed purpose output terminals. The name of the fixed output signal is often placed on the I/O connector next to the terminal as a hint.
physical channel | Refer to channel.
pin | Refer to terminal.
Poisson's Ratio | The negative ratio of the strain in the transverse direction (perpendicular to the force) to the strain in the axial direction (parallel to the force).
port | A collection of digital lines. Usually the lines are grouped into either a 8-bit or 32-bit port. Most E Series devices have one 8-bit port.
port width | The number of lines in a port. For example, most E Series devices have one port with eight lines; therefore, the port width is eight.
postrigger samples | If there is no reference trigger, posttrigger samples are the data acquired after the task is started. If there is a reference trigger, this is the data acquired after the reference trigger.
pretrigger samples | Data acquired before the occurrence of the reference trigger.
pretriggering | The technique used on a measurement device to keep a circular buffer filled with samples, so that when the reference trigger conditions are met, the buffer includes samples leading up to the trigger condition as well as samples acquired immediately after the trigger.
programmed I/O | A data transfer mechanism in which a buffer is not used and instead, the computer reads and writes directly to the device.
propagation delay | The amount of time required for a signal to pass through a circuit.
pulsed output | A form of counter signal generation by which a pulse is generated when a counter reaches a certain value.
PXI | PCI eXtensions for Instrumentation—a rugged, open system for modular instrumentation based on CompactPCI, with special mechanical, electrical, and software features. The PXI standard was originally developed by National Instruments in 1997 and is now managed by the PXI Systems Alliance.
PXI trigger bus | The timing bus that connects PXI DAQ devices directly, by means of connectors built into the backplane of the PXI chassis, for precise synchronization of functions. This bus is functionally equivalent to the RTSI bus for PCI DAQ devices.

R
range | The minimum and maximum analog signal levels that the ADC can digitize.
raw | Data that has not been changed in any way. For input, data is returned exactly as received from the device. For output, data is written as is to the device. Refer to unscaled and scaled.
referenced signal source | Signal sources with voltage signals that are referenced to a system ground, such as the earth or a building ground. Also called grounded signal sources.
resolution | The smallest amount of input signal change that a device or sensor can detect. The term discrimination is also used for resolution.
rise time | The time for a signal to transition from 10% to 90% of the maximum signal amplitude.
route | A connection between a pair of terminals. Any time the source or destination terminal of a signal is specified, a route is created.
RSE | Referenced single-ended mode—all measurements are made with respect to a common reference measurement system or a ground. Also called a grounded measurement system.
RTD | Resistance temperature detector—a metallic probe that measures temperature based on its coefficient of resistivity.
RTSI bus | Real-time system integration bus—the NI timing bus that connects DAQ devices directly, by means of connectors on top of the devices, for precise synchronization of functions. This bus is functionally equivalent to the PXI Trigger bus for PXI DAQ devices.

S
s | Seconds.
S | Samples. Refer to sample.
S/s | Samples per second—used to express the rate at which a measurement device samples an analog signal.
sample | A sample is a single measurement from a single channel or, for output, a single generation to a single channel. A device may produce more than one sample per channel upon receiving a single digital edge of a sample clock. An E Series device, for example, produces one sample from each analog input channel in its task for every sample clock edge.
sample clock | The clock controlling the time interval between samples. Each time the Sample Clock ticks (produces a pulse) one sample per channel is acquired or generated.
sample clock rate | The number of samples per channel per second. For example, a sample clock rate of 10 S/s means sampling each channel 10 times per second.
scaled | Data that has been mathematically transformed into engineering units. Other manipulations also can be done such as reordering to match the channel order.
scanning | Method of sequentially connecting channels.
SCXI | Signal Conditioning eXtensions for Instrumentation—the NI product line for conditioning low-level signals within an external chassis near sensors so that only high-level signals are sent to measurement devices in the noisy PC environment. SCXI is an open standard available for all vendors.
sensor | A device that responds to a physical stimulus (heat, light, sound, pressure, motion, flow, and so on) and produces a corresponding electrical signal.
signal | A means of conveying information. An analog waveform, a clock, and a single digital (TTL) edge are all examples of signals.
signal conditioning | The manipulation of signals to prepare them for digitizing.
software trigger | A function that, when it executes, triggers an action such as starting an acquisition.
source impedance | A parameter of signal sources that reflects current-driving ability of voltage sources (lower is better) and the voltage-driving ability of current sources (higher is better).
STC | System timing controller.
synchronous
  1. Hardware—a signal that occurs or is acted upon in synchrony with another signal, such as a reference clock.
  2. Software—a function that begins an operation and returns only when the operation is complete.

T
task | A collection of one or more channels, timing, and triggering and other properties that apply to the task itself. Conceptually, a task represents a measurement or generation you want to perform.
task buffer | Refer to buffer.
terminal | A named location on a DAQ device where a signal is either generated (output or produced) or acquired (input or consumed).
terminal count | When counting up, an N bit counter reaches its terminal count at 2N -1. An N bit counter counting down reaches its terminal count at 0.
thermistor | A semiconductor sensor that produces a repeatable change in electrical resistance as a function of temperature. Most thermistors have a negative temperature coefficient.
thermocouple | A temperature sensor created by joining two dissimilar metals. The junction produces a small voltage as a function of the temperature.
threshold | The voltage level a signal must reach for a trigger to occur.
tick | A digital edge of a clock.
timebase | A clock that is divided down to produce another clock or a clock provided to a counter for measuring elapsed time.
transducer | Refer to sensor.
Traditional NI-DAQ (Legacy) | An upgrade of the earlier version of NI-DAQ. Traditional NI-DAQ (Legacy) has the same VIs and functions and works the same way as NI-DAQ 6.9.x, except you can use both Traditional NI-DAQ (Legacy) and NI-DAQmx on the same computer, and some hardware is no longer supported.
transducer excitation | A type of signal conditioning that uses external voltages and currents to excite the circuitry of a signal conditioning system into measuring physical phenomena.
trigger | Any signal that causes a device to perform an action, such as starting an acquisition.
TTL | Transistor-transistor logic—a signal having two discrete levels, a high and a low level.

U
unipolar | A signal range that is always positive (for example, 0 to +10 V).
unscaled | Samples in the integer form that the hardware produces or requires. Although no mathematical transformations are applied to unscaled data, other manipulations may be done such as reordering to match the channel order.

V
V | Volts.
virtual channel | Refer to channel.


Important Information

Warranty

Copyright

Trademarks

Patents

Warning Regarding Use of NI Products


Warranty

The media on which you receive National Instruments software are warranted not to fail to execute programming instructions, due to defects in materials and workmanship, for a period of 90 days from date of shipment, as evidenced by receipts or other documentation. National Instruments will, at its option, repair or replace software media that do not execute programming instructions if National Instruments receives notice of such defects during the warranty period. National Instruments does not warrant that the operation of the software shall be uninterrupted or error free.

A Return Material Authorization (RMA) number must be obtained from the factory and clearly marked on the outside of the package before any equipment will be accepted for warranty work. National Instruments will pay the shipping costs of returning to the owner parts which are covered by warranty.

National Instruments believes that the information in this document is accurate. The document has been carefully reviewed for technical accuracy. In the event that technical or typographical errors exist, National Instruments reserves the right to make changes to subsequent editions of this document without prior notice to holders of this edition. The reader should consult National Instruments if errors are suspected. In no event shall National Instruments be liable for any damages arising out of or related to this document or the information contained in it.

Except as specified herein, National Instruments makes no warranties, express or implied, and specifically disclaims any warranty of merchantability or fitness for a particular purpose. Customer's right to recover damages caused by fault or negligence on the part of National Instruments shall be limited to the amount theretofore paid by the customer. National Instruments will not be liable for damages resulting from loss of data, profits, use of products, or incidental or consequential damages, even if advised of the possibility thereof. This limitation of the liability of National Instruments will apply regardless of the form of action, whether in contract or tort, including negligence. Any action against National Instruments must be brought within one year after the cause of action accrues. National Instruments shall not be liable for any delay in performance due to causes beyond its reasonable control. The warranty provided herein does not cover damages, defects, malfunctions, or service failures caused by owner's failure to follow the National Instruments installation, operation, or maintenance instructions; owner's modification of the product; owner's abuse, misuse, or negligent acts; and power failure or surges, fire, flood, accident, actions of third parties, or other events outside reasonable control.


Copyright

Under the copyright laws, this publication may not be reproduced or transmitted in any form, electronic or mechanical, including photocopying, recording, storing in an information retrieval system, or translating, in whole or in part, without the prior written consent of National Instruments Corporation.

National Instruments respects the intellectual property of others, and we ask our users to do the same. NI software is protected by copyright and other intellectual property laws. Where NI software may be used to reproduce software or other materials belonging to others, you may use NI software only to reproduce materials that you may reproduce in accordance with the terms of any applicable license or other legal restriction.

End-User License Agreements and Third-Party Legal Notices

You can find end-user license agreements (EULAs) and third-party legal notices in the following locations:

  • Notices are located in the <National Instruments>\_Legal Information and <National Instruments> directories.
  • EULAs are located in the <National Instruments>\Shared\MDF\Legal\license directory.
  • Review <National Instruments>\_Legal Information.txt for information on including legal information in installers built with NI products.


Trademarks

CVI, LabVIEW, National Instruments, NI, ni.com, the National Instruments corporate logo, and the Eagle logo are trademarks of National Instruments Corporation. Refer to the Trademark Information at ni.com/trademarks for other National Instruments trademarks.

FireWire® is the registered trademark of Apple Inc.

Handle Graphics®, MATLAB®, Real-Time Workshop®, Simulink®, Stateflow®, and xPC TargetBox® are registered trademarks, and TargetBox™ and Target Language Compiler™ are trademarks of The MathWorks, Inc.

Tektronix® and Tek are registered trademarks of Tektronix, Inc.

The Bluetooth® word mark is a registered trademark owned by the Bluetooth SIG, Inc.

The mark LabWindows is used under a license from Microsoft Corporation. Windows is a registered trademark of Microsoft Corporation in the United States and other countries.

Other product and company names mentioned herein are trademarks or trade names of their respective companies.

Members of the National Instruments Alliance Partner Program are business entities independent from National Instruments and have no agency, partnership, or joint-venture relationship with National Instruments.


Patents

For patents covering the National Instruments products/technology, refer to the appropriate location: Help»Patents in your software, the patents.txt file on your media, or the National Instruments Patent Notice at ni.com/patents.


WARNING REGARDING USE OF NATIONAL INSTRUMENTS PRODUCTS

(1) National Instruments products are not designed with components and testing for a level of reliability suitable for use in or in connection with surgical implants or as critical components in any life support systems whose failure to perform can reasonably be expected to cause significant injury to a human.

(2) In any application, including the above, reliability of operation of the software products can be impaired by adverse factors, including but not limited to fluctuations in electrical power supply, computer hardware malfunctions, computer operating system software fitness, fitness of compilers and development software used to develop an application, installation errors, software and hardware compatibility problems, malfunctions or failures of electronic monitoring or control devices, transient failures of electronic systems (hardware and/or software), unanticipated uses or misuses, or errors on the part of the user or applications designer (adverse factors such as these are hereafter collectively termed "system failures"). Any application where a system failure would create a risk of harm to property or persons (including the risk of bodily injury and death) should not be reliant solely upon one form of electronic system due to the risk of system failure. To avoid damage, injury, or death, the user or application designer must take reasonably prudent steps to protect against system failures, including but not limited to back-up or shut down mechanisms. Because each end-user system is customized and differs from National Instruments' testing platforms and because a user or application designer may use National Instruments products in combination with other products in a manner not evaluated or contemplated by National Instruments, the user or application designer is ultimately responsible for verifying and validating the suitability of National Instruments products whenever National Instruments products are incorporated in a system or application, including, without limitation, the appropriate design, process and safety level of such system or application.


Technical Support and Professional Services

Visit the following sections of the National Instruments Web site at ni.com for technical support and professional services:

  • Support—Online technical support resources at ni.com/support include the following:
    • Self-Help Resources—For answers and solutions, visit the award-winning National Instruments Web site for software drivers and updates, a searchable KnowledgeBase, product manuals, step-by-step troubleshooting wizards, thousands of example programs, tutorials, application notes, instrument drivers, and so on.
    • Free Technical Support—All registered users receive free Basic Service, which includes access to hundreds of Applications Engineers worldwide in the NI Developer Exchange at ni.com/exchange. National Instruments Applications Engineers make sure every question receives an answer.

      For information about other technical support options in your area, visit ni.com/services or contact your local office at ni.com/contact.

  • Training and Certification—Visit ni.com/training for self-paced training, eLearning virtual classrooms, interactive CDs, and Certification program information. You also can register for instructor-led, hands-on courses at locations around the world.
  • System Integration—If you have time constraints, limited in-house technical resources, or other project challenges, National Instruments Alliance Partner members can help. To learn more, call your local NI office or visit ni.com/alliance.
  • Declaration of Conformity (DoC)—A DoC is our claim of compliance with the Council of the European Communities using the manufacturer’s declaration of conformity. This system affords the user protection for electronic compatibility (EMC) and product safety. You can obtain the DoC for your product by visiting ni.com/certification.
  • Calibration Certificate—If your product supports calibration, you can obtain the calibration certificate for your product at ni.com/calibration.

If you searched ni.com and could not find the answers you need, contact your local office or NI corporate headquarters. You also can visit the Worldwide Offices section of ni.com/niglobal to access the branch office Web sites, which provide up-to-date contact information, support phone numbers, email addresses, and current events.


Branch Offices

Office | Telephone Number
Australia | 1800 300 800
Austria | 43 662 457990-0
Belgium | 32 (0) 2 757 0020
Brazil | 55 11 3262 3599
Canada | 800 433 3488
China | 86 21 5050 9800
Czech Republic | 420 224 235 774
Denmark | 45 45 76 26 00
Finland | 358 (0) 9 725 72511
France | 33 (0) 1 57 66 24 24
Germany | 49 89 7413130
India | 91 80 41190000
Israel | 972 0 3 6393737
Italy | 39 02 41309277
Japan | 0120-527196 / 81 3 5472 2970
Korea | 82 02 3451 3400
Lebanon | 961 (0) 1 33 28 28
Malaysia | 1800 887710
Mexico | 01 800 010 0793
Netherlands | 31 (0) 348 433 466
New Zealand | 0800 553 322
Norway | 47 (0) 66 90 76 60
Poland | 48 22 3390150
Portugal | 351 210 311 210
Russia | 7 495 783 6851
Singapore | 1800 226 5886
Slovenia | 386 3 425 42 00
South Africa | 27 0 11 805 8197
Spain | 34 91 640 0085
Sweden | 46 (0) 8 587 895 00
Switzerland | 41 56 2005151
Taiwan | 886 02 2377 2222
Thailand | 662 278 6777
Turkey | 90 212 279 3031
United Kingdom | 44 (0) 1635 523545
United States (Corporate) | 512 683 0100